Intel® Data Analytics Acceleration Library 2020 System Requirements

Published: 12/06/2019  

Last Updated: 12/06/2019

By Gennady Fedorov

Please see the following links to the online resources and documents for the latest information regarding Intel® DAAL:

Intel® DAAL Product Page

Intel® DAAL 2020 Release Notes

The Intel® DAAL supports the IA-32 and Intel® 64 architectures. 

The lists below pertain only to the system requirements necessary to support application development with Intel® DAAL. Please review your compiler (gcc*, Microsoft Visual Studio* or Intel® C++ Compiler ) hardware and software system requirements, in the documentation provided with that product to determine the minimum development system requirements necessary to support your compiler product.

Windows* OS

Supported Operating Systems

  • Windows 10* 
  • Windows Server* 2016
  • Windows Server* 2019

Supported C/C++* compilers for Windows* OS:

  • Intel® C++ Compiler 18.0 and later for Windows* OS
  • Microsoft Visual Studio* 2017 and later

Supported Java* compilers:

  • Java* SE 8 and later from Sun Microsystems, Inc.

Supported Python versions:

  • Python* 3.6, 3.7 (64-bit) for Windows* OS

MPI implementations that Intel® DAAL for Windows* OS has been validated against:

TBB implementations that Intel® DAAL for Windows* OS has been validated against:

Linux *OS

Supported Operating Systems

  • Red Hat* Enterprise Linux* 7
  • Red Hat* Enterprise Linux* 8 
  • Red Hat Fedora* 30
  • SUSE Linux Enterprise Server* 12
  • SUSE Linux Enterprise Server* 15
  •  Debian* GNU/Linux 10
  • Ubuntu* 16.04 
  • Ubuntu* 18.04 
  • Ubuntu* 19.04 

Note: Intel® DAAL is expected to work on many more Linux distributions as well. Let us know if you have trouble with the distribution you use.

Supported C/C++* compilers for Linux* OS:

  • Intel® C++ Compiler 18.0 and later for Linux* OS
  • GNU Compiler Collection 4.8 and later

Supported Java* compilers:

  • Java* SE  8 and later from Sun Microsystems, Inc.

Supported Python versions:

  • Python* 3.6, 3.7 (64-bit) for Linux* OS

MPI implementations that Intel® DAAL for Linux* OS has been validated against:

  • Intel® MPI Library Version 2018 and later Intel® 64

TBB implementations that Intel® DAAL for Linux* OS has been validated against:

Apache Arrow implementations that Intel® DAAL for Linux* OS has been validated against:

macOS*

Supported Operating Systems

  • macOS* 10.14
  • macOS* 10.15

Supported C/C++* compilers for macOS*:

  • Intel® C++ Compiler 18.0 and later for macOS*
  • Xcode* 10, 11

Supported Java* compilers:

  • Java* SE 8 and later from Sun Microsystems, Inc.

Supported Python versions:

  • Python* 3.6, 3.7 (64-bit) for Mac* OS

TBB implementations that Intel® DAAL for Mac* OS has been validated against:

Database

  • MySQL 8.0
  • KDB  3.6

Hadoop* implementations that Intel® DAAL has been validated against:

  • Hadoop* 3.1.1

Note: Intel® DAAL is expected to work on many more Hadoop* distributions as well. Let us know if you have trouble with the distribution you use.

Spark* implementations that Intel® DAAL has been validated against:

  • Spark* 2.4.4

Note: Intel® DAAL is expected to work on many more Spark* distributions as well. Let us know if you have trouble with the distribution you use.

Scala* implementations that Intel® DAAL has been validated against:

  • Scala* 2.13.1

Note: Intel® DAAL is expected to work on many more Scala* distributions as well. Let us know if you have trouble with the distribution you use.

Product and Performance Information

1

Performance varies by use, configuration and other factors. Learn more at www.Intel.com/PerformanceIndex.